DOM2Writer (Axis API)
Keywords: org.apache.axis.utils.DOM2Writer,DOM2Writer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.utils
Class DOM2Writer

    java.lang.Object
      |
      +--org.apache.axis.utils.DOM2Writer

public class DOM2Writer
extends java.lang.Object

This class is a utility to serialize a DOM node as XML. This class uses the `DOM Level 2` APIs. The main difference between this class and DOMWriter is that this class generates and prints out namespace declarations.

Author:
  Matthew J. Duftler (duftler@us.ibm.com), Joseph Kesselman

Constructor Summary
`DOM2Writer()`

Method Summary
`static java.lang.String` | `nodeToString(org.w3c.dom.Node node, boolean omitXMLDecl)` Return a string containing this node serialized as XML.
`static java.lang.String` | `normalize(java.lang.String s)`
`static void` | `serializeAsXML(org.w3c.dom.Node node, java.io.Writer writer, boolean omitXMLDecl)` Serialize this node into the writer as XML.
`static void` | `serializeAsXML(org.w3c.dom.Node node, java.io.Writer writer, boolean omitXMLDecl, boolean pretty)` Serialize this node into the writer as XML.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOM2Writer

    public DOM2Writer()

Method Detail

### nodeToString

    public static java.lang.String nodeToString(org.w3c.dom.Node node,
                                                boolean omitXMLDecl)

  Return a string containing this node serialized as XML.

### serializeAsXML

    public static void serializeAsXML(org.w3c.dom.Node node,
                                      java.io.Writer writer,
                                      boolean omitXMLDecl)

  Serialize this node into the writer as XML.

### serializeAsXML

    public static void serializeAsXML(org.w3c.dom.Node node,
                                      java.io.Writer writer,
                                      boolean omitXMLDecl,
                                      boolean pretty)

  Serialize this node into the writer as XML.

### normalize

    public static java.lang.String normalize(java.lang.String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.